# class ClientFileItem | A file/directory item. More...
Full name | `TelEngine::ClientFileItem`
Definition | `#include <yatecbase.h>`
Inherits | TelEngine::GenObject [public ]
Inherited by | ClientDir, ClientFile
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline ClientFileItem (const char* name)
- inline const String& name () const
- virtual ClientDir* directory ()
- virtual ClientFile* file ()
- virtual const String& toString () const

## Detailed Description

Base class for file/dir items

inline ClientFileItem (const char* name) | ### ClientFileItem

Constructor

Parameters:

name | Item name

inline const String& name () | ### name

[const]

Retrieve the item name

Returns: Item name

ClientDir* directory () | ### directory

[virtual]

Check if this item is a directory

Returns: ClientDir pointer or 0

ClientFile* file () | ### file

[virtual]

Check if this item is a file

Returns: ClientDir pointer or 0

const String& toString () | ### toString

[const virtual]

Retrieve the item name

Returns: Item name

Reimplemented from GenObject.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.